%define major	6
%define majorminor 6.3
%define lib_name_orig lib%{name}
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary: Library for reading lines from a terminal
Name:	 readline
Version: 6.3
Release: %mkrel 4
License: GPLv3
Group: System/Libraries
Url: http://tiswww.case.edu/php/chet/readline/rltop.html
Source0: ftp://ftp.gnu.org/gnu/readline/%{name}-%{version}.tar.xz
Patch5: readline6.3-upstream-patches1-6.patch
Patch8: readline-6.2-gdb.patch
Patch9: readline-6.2-shlib.patch
BuildRequires:	ncursesw-devel

%description
The "readline" library will read a line from the terminal and return it,
allowing the user to edit the line with the standard emacs editing keys.
It allows the programmer to give the user an easier-to-use and more
intuitive interface.

%package -n %{libname}
Summary:	Shared libraries for readline
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked to readline.

%package doc
Summary:	Readline documentation in GNU info format
Group:		Documentation
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-doc = %{version}-%{release}
Obsoletes:	%{libname}-doc

%description doc
This package contains readline documentation in the GNU info format.

%package -n %{develname}
Summary:	Files for developing programs that use the readline library
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname readline 5 -d}
Obsoletes:	%{name}-devel < 6.0-2

%description -n	%{develname}
The "readline" library will read a line from the terminal and return it,
using prompt as a prompt.  If prompt is null, no prompt is issued.  The
line returned is allocated with malloc(3), so the caller must free it when
finished.  The line returned has the final newline removed, so only the
text of the line remains.

%prep
%setup -q
%patch5 -p1
%patch8 -p1
%patch9 -p1

chmod 644 examples/rlfe/ChangeLog


%build

export CPPFLAGS="-I%{_includedir}/ncurses -I%{_includedir}/ncursesw"

%configure2_5x
%make

%install
rm -rf %buildroot
make DESTDIR=%buildroot install

mkdir %buildroot/%{_lib}
mv %buildroot%{_libdir}/libreadline.so.* %buildroot/%{_lib}
for l in %buildroot%{_libdir}/libreadline.so; do
    ln -sf $(echo %{_libdir} | \
        sed 's,\(^/\|\)[^/][^/]*,..,g')/%{_lib}/$(readlink $l) $l
done

mv %buildroot%{_libdir}/libhistory.so.* %buildroot/%{_lib}
for l in %buildroot%{_libdir}/libhistory.so; do
    ln -sf $(echo %{_libdir} | \
        sed 's,\(^/\|\)[^/][^/]*,..,g')/%{_lib}/$(readlink $l) $l
done

rm -f %buildroot%{_infodir}/dir*
rm -rf %buildroot/%{_datadir}/doc/readline

%files -n %{libname}
/%{_lib}/lib*.so.%{major}*

%files doc
%{_infodir}/*info*

%files -n %{develname}
%{_mandir}/man3/*
%{_datadir}/readline
%{_includedir}/readline
%{_libdir}/lib*.a
%{_libdir}/lib*.so


%changelog
* Sat Oct 08 2016 adrianomorselli <adrianomorselli> 6.3-4uplos2016
- rebuild

* Thu Jul 14 2016 bb <bb> 6.3-4pclos2016
- update for 2016

* Wed Oct 15 2014 bb <bb> 6.3-3pclos2014
- fix package for separate /usr partition

* Wed Oct 15 2014 bb <bb> 6.3-2pclos2014
- update sync to fedora


